Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 730272 (CVE-2020-15395) - <media-video/mediainfo, media-libs/libmediainfo-20.09: Buffer overflow vulnerability (CVE-2020-15395)
Summary: <media-video/mediainfo, media-libs/libmediainfo-20.09: Buffer overflow vulner...
Status: RESOLVED FIXED
Alias: CVE-2020-15395
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL: https://sourceforge.net/p/mediainfo/b...
Whiteboard: B3 [noglsa cve]
Keywords:
Depends on:
Blocks:
 
Reported: 2020-06-30 18:38 UTC by John Helmert III
Modified: 2021-01-25 23:47 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Helmert III gentoo-dev Security 2020-06-30 18:38:01 UTC
CVE-2020-15395:

In MediaInfoLib in MediaArea MediaInfo 20.03, there is a stack-based buffer over-read in Streams_Fill_PerStream in Multiple/File_MpegPs.cpp (aka an off-by-one during MpegPs parsing).



Looks like no patch yet.
Comment 1 NATTkA bot gentoo-dev 2020-12-05 20:21:05 UTC Comment hidden (obsolete)
Comment 2 Sam James archtester gentoo-dev Security 2020-12-06 23:34:34 UTC
amd64 done
Comment 3 Thomas Deutschmann gentoo-dev Security 2020-12-10 21:42:13 UTC
x86 stable
Comment 4 Sam James archtester gentoo-dev Security 2020-12-14 01:03:29 UTC
Please cleanup.
Comment 5 NATTkA bot gentoo-dev 2021-01-24 02:01:05 UTC
Unable to check for sanity:

> no match for package: media-libs/libmediainfo-20.09
Comment 6 Andreas Sturmlechner gentoo-dev 2021-01-24 02:58:16 UTC
Apparently I cleaned up.
Comment 7 Sam James archtester gentoo-dev Security 2021-01-25 23:47:57 UTC
GLSA vote: no